Summary:	AMB (Ambisonics decoder and panner) LADSPA plugins
Summary(pl.UTF-8):	Wtyczki LADSPA AMB (dekodery i pannery Ambisonics)
Name:		ladspa-amb-plugins
Version:	0.8.1
Release:	2
License:	GPL v2+
Group:		Applications/Sound
#Source0Download: http://users.skynet.be/solaris/linuxaudio/getit.html
Source0:	http://kokkinizita.linuxaudio.org/linuxaudio/downloads/AMB-plugins-%{version}.tar.bz2
# Source0-md5:	496d8d2bf6036611b6b4aa7f56325a52
Patch0:		%{name}-make.patch
URL:		http://kokkinizita.linuxaudio.org/linuxaudio/ladspa/index.htmlhttp://kokkinizita.linuxaudio.org/linuxaudio/ladspa/index.html
BuildRequires:	ladspa-devel
BuildRequires:	libstdc++-devel
Requires:	ladspa-common
Obsoletes:	ladspa-mcp-plugins-alsa-modular-synth-examples
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoprovfiles	%{_libdir}/ladspa

%description
AMB (Ambisonics surround sound decoder and panner) LADSPA plugins.

%description -l pl.UTF-8
Wtyczki LADSPA AMB (dekodery i pannery dźwięku przestrzennego
Ambisonics).

%prep
%setup -q -n AMB-plugins-%{version}
%patch0 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	LDFLAGS="%{rpmldflags}" \
	CPPFLAGS="-I. -fPIC -D_REENTRANT -Wall %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ladspa

cp -p *.so $RPM_BUILD_ROOT%{_libdir}/ladspa

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/ladspa/ambisonic0.so
%attr(755,root,root) %{_libdir}/ladspa/ambisonic1.so
%attr(755,root,root) %{_libdir}/ladspa/ambisonic2.so
%attr(755,root,root) %{_libdir}/ladspa/ambisonic3.so
%changelog
* Wed Oct 12 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ladspa-amb-plugins.git;a=log;h=master

* Wed Oct 12 2016 Jacek Konieczny <jajcus@jajcus.net> 1b49e40
- drop plugin soname provides

* Mon Oct 10 2016 Jacek Konieczny <jajcus@jajcus.net> 149a42f
- fix and apply the Makefile patch

* Mon Oct 10 2016 Jacek Konieczny <jajcus@jajcus.net> b776ce7
- Version: 0.8.1

* Mon Sep 26 2016 Jakub Bogusz <qboosh@pld-linux.org> e731503
- initial

